<?php
/**
 * custom-blog functions and definitions
 *
 * @package custom-blog
 */

include get_template_directory() . '/extra-functions.php';
include get_template_directory() . '/responsive.php';
require get_template_directory() . '/customizer-options.php';


/*--------------------------------------------------------------
      Thumbnail
----------------------------------------------------------------*/

function get_image_url(){

	$image_id = get_post_thumbnail_id();
	$image_url = wp_get_attachment_image_src($image_id,'full');
	$image_url = $image_url[0];
	echo $image_url;
	}

include get_template_directory() . '/aq_resizer.php';


function new_excerpt_more($more) {

global $post;

return '<a class="moretag" href="'. get_permalink($post->ID) . '"> ...Citeste tot &#187;</a>';

}
add_filter('excerpt_more', 'new_excerpt_more');



function custom_excerpt_length( $length ) {
      return 43;
}

add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );





/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! isset( $content_width ) ) {
	$content_width = 640; /* pixels */
}


if ( ! function_exists( 'custom_setup' ) ) :



function custom_setup() {


	load_theme_textdomain( 'custom', get_template_directory() . '/languages' );


	// Add default posts and comments RSS feed links to head.

	add_theme_support( 'automatic-feed-links' );

	
	
	add_theme_support( 'title-tag' );
	
	
	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */


	add_theme_support( 'post-thumbnails' );
	add_image_size( 'blog-small', 260, 200, true );
    add_image_size( 'blog-small-featured', 210, 150, true );

	

	// This theme uses wp_nav_menu() in one location.

	register_nav_menus( array(

		'topbar' => __('Meniu', 'custom'),
        'social' => __( 'Social', 'custom' )
	) );


	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(

		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'

	) );


	/*
	 * Enable support for Post Formats.
	 * See http://codex.wordpress.org/Post_Formats
	 */

	add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link'
	) );



	// Setup the WordPress core custom background feature.

	add_theme_support( 'custom-background', apply_filters( 'custom_custom_background_args', array(
		'default-color' => '999999',
		'default-image' => '',
	) ) );

}

endif; // custom_setup

add_action( 'after_setup_theme', 'custom_setup' );


/**
*
 * Register widget area.
*
 *
*
 * @link http://codex.wordpress.org/Function_Reference/register_sidebar
*
 */

function custom_widgets_init() {

	register_sidebar( array(

		'name'          => __( 'Sidebar', 'custom' ),
		'id'            => 'sidebar-1',
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h1 class="widget-title">',
		'after_title'   => '</h1>',
	) );

}

add_action( 'widgets_init', 'custom_widgets_init' );


// Register Sidebar

function custom_sidebar() {

	

	$args = array(
		'id'            => 'footer-1',
		'name'          => __( 'Footer (1)', 'custom' ),
		'class'         => 'footer-box',
	);
	register_sidebar( $args );

	
	$args = array(
		'id'            => 'footer-2',
		'name'          => __( 'Footer (2)', 'custom' ),
		'class'         => 'footer-box',
	);

	register_sidebar( $args );

	
	$args = array(
		'id'            => 'footer-3',
		'name'          => __( 'Footer (3)', 'custom' ),
		'class'         => 'footer-box',
	);

	register_sidebar( $args );

	$args = array(
		'id'            => 'footer-4',
		'name'          => __( 'Footer (4)', 'custom' ),
		'class'         => 'footer-box',
	);

	register_sidebar( $args );

	

	$args = array(
		'id'            => 'widget-home-1',
		'name'          => __( 'Widget home (1)', 'custom' ),
		'class'         => 'footer-box',
	);

	register_sidebar( $args );

	

	$args = array(

		'id'            => 'widget-home-2',
		'name'          => __( 'Widget home (2)', 'custom' ),
		'class'         => 'footer-box',
	);
	register_sidebar( $args );


	$args = array(
		'id'            => 'widget-home-3',
		'name'          => __( 'Widget home (3)', 'custom' ),
		'class'         => 'footer-box',
	);

	register_sidebar( $args );

}
// Hook into the 'widgets_init' action
add_action( 'widgets_init', 'custom_sidebar' );







/* ------------------------------------- 

* Enqueue javascript

/* ------------------------------------ */

if ( ! function_exists( 'zilan_scripts_js' ) ) {

	

	function zilan_scripts_js() {

		wp_enqueue_script( 'scripts', get_template_directory_uri() . '/js/scripts.js', array( 'jquery' ),'', true ); 

 }
}
add_action( 'wp_enqueue_scripts', 'zilan_scripts_js' );

/**
 * Enqueue scripts and styles.
 */

function custom_scripts() {

    wp_enqueue_script('jquery');

    wp_enqueue_style( 'custom-custom.css', get_template_directory_uri() . '/custom.css');
    wp_enqueue_style( 'custom-menu', get_template_directory_uri() . '/menu.css');
    wp_enqueue_style( 'custom-animate', get_template_directory_uri() . '/animate.css');

	wp_enqueue_style( 'custom-style', get_stylesheet_uri() );
    wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/font/font-awesome.min_.css' );

    wp_enqueue_style( 'font-awesome.min', get_template_directory_uri() . '/inc/font-awesome.min.css');

	wp_enqueue_script( 'custom-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20120206', true );

	wp_enqueue_script( 'custom-script', get_template_directory_uri() . '/js/script.js', array(), true );

	wp_enqueue_script( 'custom-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );

	
	if ( is_front_page() && superhero_get_featured_posts() ) {
		wp_enqueue_style( 'superhero-flex-slider-style', get_template_directory_uri() . '/js/flex-slider/flexslider.css' );
		wp_enqueue_script( 'superhero-flex-slider', get_template_directory_uri() . '/js/flex-slider/jquery.flexslider-min.js', array( 'jquery' ) );
	}
	
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

}
add_action( 'wp_enqueue_scripts', 'custom_scripts' );


function my_theme_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'after_setup_theme', 'my_theme_add_editor_styles' );



/**
 * Implement the Custom Header feature.
 */

//require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */

require get_template_directory() . '/inc/extras.php';


/**
 * Customizer additions.
 */

require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */

require get_template_directory() . '/inc/jetpack.php';
